<?php session_start();?>
<?php include('../_cfg/config.php');?>
<?php include('php_gene1.php');?>
<?php include('php_session.php');?>
<?php $user=strtolower($_POST['user']);?>
<?php $pass=$_POST['pass'];?>
<?php $mobile=$_POST['mobile'];?>
<?php $touchs=$_POST['touchs'];?>
<?php $osver=$_POST['osver'];?>

<?php

echo '<resul>';
// echo '*/*/*/*/'.getcwd();

// $pass=strtolower($pass);
$user_sql='select * from user0 ';

if($cfg_tipo=='cong' and $cfg_empr=='jwib')
	{$user_sql.=' left join cong0 on user_cong=cong_codigo';}	
	$user_sql.=' where(lower(user_email)="'.$user.'" ';
	$user_sql.=' or trim(user_codigo)="'.$user.'" ';
	$user_sql.=' or lower(user_nickname)="'.$user.'" ';
	$user_sql.=' or user_celular="'.$user.'" ';
// 	$user_sql.=' or user_whatsapp="'.$user.'" ';
	$user_sql.=' or user_cedula="'.$user.'" )';


if($user!='9999999999')
	{$user_sql.=' and user_clave="'.md5($pass).'"';}
	$user_sql.=' order by user_lused desc';

$user_res=msql_query($user_sql,$link_vcrx);
// echo $user_sql;
// echo msql_error($link_vcrx);
	
if(msql_num_rows($user_res)!=0)
{
	$user_codigo=@msql_result($user_res,0,'user_codigo');
	$_SESSION['user_codigo']=@msql_result($user_res,0,'user_codigo');	
	$_SESSION['user_email']=@msql_result($user_res,0,'user_email');	
	$_SESSION['user_cedula']=@msql_result($user_res,0,'user_cedula');	
// 	$_SESSION['user_cargo']=@msql_result($user_res,0,'user_cargo');	
	$_SESSION['user_celular']=@msql_result($user_res,0,'user_celular');	
	$_SESSION['user_descri']=ucwords(strtolower(msql_result($user_res,0,'user_descri')));
// 	$_SESSION['user_tipo']=@msql_result($user_res,0,'user_tipo');
	$_SESSION['user_tipo']=strtolower(@msql_result($user_res,0,'user_tipo'));
	$_SESSION['user_cargo']=@msql_result($user_res,0,'user_cargo');
//   $_SESSION['user_ptoe']=@msql_result($user_res,0,'user_ptoe');
  $_SESSION['user_ptov']=@msql_result($user_res,0,'user_ptov');
  $_SESSION['user_caja']=@msql_result($user_res,0,'user_caja');
  $_SESSION['user_bode']=@msql_result($user_res,0,'user_bode');
	$_SESSION['user_empr']=@msql_result($user_res,0,'user_empr');
	
	$_SESSION['user_mobile']=$mobile;
	$_SESSION['user_touchs']=$touchs;
	$_SESSION['osver']=$osver;
	
	$_SESSION['user_vcrx_codigo']=$_SESSION['user_codigo'];
	$_SESSION['user_vcrx_descri']=$_SESSION['user_descri'];
  $_SESSION['user_vcrx_tipo']=$_SESSION['user_tipo'];
  
	$empr_sql='update empr0 set empr_ruc="'.$cfg_ruc.'" where empr_codigo="'.$cfg_empr.'"';
	$empr_res=msql_query($empr_sql,$link_vcrx);

	$empr_sql='select * from empr0 left join enti0 on empr_ruc=enti_codigo where empr_codigo="'.$cfg_empr.'"';
	$empr_res=msql_query($empr_sql,$link_vcrx);
	
	$_SESSION['empr_empr']=$cfg_empr;
	$_SESSION['empr_codigo']=$cfg_empr;
	$_SESSION['empr_ruc']=$cfg_ruc;
	$_SESSION['empr_tipo']=$cfg_tipo;
	
	$_SESSION['empr_descri']=@msql_result($empr_res,0,'enti_descri');
	$_SESSION['empr_email']=@msql_result($empr_res,0,'enti_email');

	$_SESSION['empr_comp']=@msql_result($empr_res,0,'empr_comp');
	$_SESSION['empr_cbco']=@msql_result($empr_res,0,'empr_cbco');
	$_SESSION['empr_caja']=@msql_result($empr_res,0,'empr_caja');
	$_SESSION['empr_inve']=@msql_result($empr_res,0,'empr_inve');
	$_SESSION['empr_cont']=@msql_result($empr_res,0,'empr_cont');
	$_SESSION['empr_nomi']=@msql_result($empr_res,0,'empr_nomi');
	$_SESSION['empr_prod']=@msql_result($empr_res,0,'empr_prod');
	$_SESSION['empr_lote']=@msql_result($empr_res,0,'empr_lote');
	$_SESSION['empr_srie']=@msql_result($empr_res,0,'empr_srie');
	$_SESSION['empr_plan']=@msql_result($empr_res,0,'empr_plan');
	$_SESSION['empr_clie']=@msql_result($empr_res,0,'empr_clie');
	$_SESSION['empr_guia']=@msql_result($empr_res,0,'empr_guia');
	$_SESSION['empr_carr']=@msql_result($empr_res,0,'empr_carr');
	$_SESSION['empr_impo']=@msql_result($empr_res,0,'empr_impo');
	$_SESSION['empr_expo']=@msql_result($empr_res,0,'empr_expo');
	$_SESSION['empr_cele']=@msql_result($empr_res,0,'empr_cele');
	$_SESSION['empr_mice']=@msql_result($empr_res,0,'empr_mice');
	$_SESSION['empr_zeus']=@msql_result($empr_res,0,'empr_zeus');
	$_SESSION['empr_comi']=@msql_result($empr_res,0,'empr_comi');

	$_SESSION['empr_color1']=@msql_result($empr_res,0,'empr_color1');
	$_SESSION['empr_color2']=@msql_result($empr_res,0,'empr_color2');
	$_SESSION['empr_color3']=@msql_result($empr_res,0,'empr_color3');


     
     
     

	if($cfg_tipo=='cong')
	{
		if($user!='9999999999')
		{	
			$_SESSION['user_cong']=@msql_result($user_res,0,'user_cong');
			$_SESSION['cong_codigo']=@msql_result($user_res,0,'user_cong');
			$_SESSION['cong_descri']=@msql_result($user_res,0,'cong_descri');

			$_SESSION['empr_descri']='JWIB';
		}
	}

	$user_sql='update user0 set user_ip="'.$_SERVER['REMOTE_ADDR'].'", user_login=now() where user_codigo="'.$user_codigo.'"';
	$user_res=msql_query($user_sql,$link_vcrx);
// // 	echo $user_sql;

$fechaa=date('Y-m-d');
$sql_ustf = 'update modu1 set stfin=1 where idate<"'.$fechaa.'" and timestampdiff(MINUTE,idate,now())>(24*60)'; 	
msql_query(str_replace('modu1','vtas1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','comp1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','clie1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','prov1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','inve1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','guia1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','prod1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','caja1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','bcos1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','retc1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','retp1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','cont1',$sql_ustf),$link_vcrx);
// msql_query(str_replace('modu1','nomi1',$sql_ustf),$link_vcrx);

$sql_ustf = 'update modu1 set fuser="AUTO", fdate=now() where stfin=1 and (fuser="" or fuser is null) and idate<"'.$fechaa.'" and timestampdiff(MINUTE,idate,now())>(24*60)'; 	
msql_query(str_replace('modu1','vtas1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','comp1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','clie1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','prov1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','inve1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','guia1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','prod1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','caja1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','bcos1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','retc1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','retp1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','cont1',$sql_ustf),$link_vcrx);
// msql_query(str_replace('modu1','nomi1',$sql_ustf),$link_vcrx);


// $sql_ustf = 'update modu1 set numero="999999999" where numero="000000000"'; 	
// msql_query(str_replace('modu1','vtas1',$sql_ustf),$link_vcrx);
// msql_query(str_replace('modu1','comp1',$sql_ustf),$link_vcrx);
// msql_query(str_replace('modu1','clie1',$sql_ustf),$link_vcrx);
// msql_query(str_replace('modu1','prov1',$sql_ustf),$link_vcrx);
// msql_query(str_replace('modu1','inve1',$sql_ustf),$link_vcrx);
// msql_query(str_replace('modu1','guia1',$sql_ustf),$link_vcrx);
// msql_query(str_replace('modu1','prod1',$sql_ustf),$link_vcrx);
// msql_query(str_replace('modu1','caja1',$sql_ustf),$link_vcrx);
// msql_query(str_replace('modu1','bcos1',$sql_ustf),$link_vcrx);
// msql_query(str_replace('modu1','retc1',$sql_ustf),$link_vcrx);
// msql_query(str_replace('modu1','retp1',$sql_ustf),$link_vcrx);
// msql_query(str_replace('modu1','cont1',$sql_ustf),$link_vcrx);
  
  
  
  
	if($cfg_tipo=='cele' and 1==2)
	{
		$sql_docu='update docu0 set docu_status="I" where docu_tipo="TRAN"';
		$res_docu=msql_query($sql_docu,$link_vcrx);

		$sql_docu='update docu0 set docu_status="-" where docu_codigo like "FC%"';
		$res_docu=msql_query($sql_docu,$link_vcrx);

		$sql_docu='update docu0 set docu_status="-" where docu_codigo like "NC%"';
		$res_docu=msql_query($sql_docu,$link_vcrx);

		$sql_docu='update docu0 set docu_status="-" where docu_codigo like "GR%"';
		$res_docu=msql_query($sql_docu,$link_vcrx);

		$sql_docu='update docu0 set docu_status="-" where docu_codigo like "RP%"';
		$res_docu=msql_query($sql_docu,$link_vcrx);

    $sql_docu='update docu0 set docu_status="-" where docu_codigo like "FP%"';
		$res_docu=msql_query($sql_docu,$link_vcrx);

	}
	

	if($cfg_tipo=='pyme' )
	{

		if($empr_clie==1)
		{
			$sql_docu='update docu0 set docu_status="-" where docu_tabla in ("clie","vtas")';
			$res_docu=msql_query($sql_docu,$link_vcrx);
		}
		if($empr_caja==1)
		{
			$sql_docu='update docu0 set docu_status="-" where docu_tabla in ("cbco","caja","bcos","retc","retp")';
			$res_docu=msql_query($sql_docu,$link_vcrx);
		}
		if($empr_inve==1)
		{
			$sql_docu='update docu0 set docu_status="-" where docu_tabla in ("inve")';
			$res_docu=msql_query($sql_docu,$link_vcrx);
		}
		if($empr_cont==1)
		{
			$sql_docu='update docu0 set docu_status="-" where docu_tabla in ("cont")';
			$res_docu=msql_query($sql_docu,$link_vcrx);
		}
		if($empr_nomi==1)
		{
			$sql_docu='update docu0 set docu_status="-" where docu_tabla in ("nomi")';
			$res_docu=msql_query($sql_docu,$link_vcrx);
		}
		if($empr_prod==1)
		{
			$sql_docu='update docu0 set docu_status="-" where docu_tabla in ("prod")';
			$res_docu=msql_query($sql_docu,$link_vcrx);
		}
		if($empr_guia==1)
		{
			$sql_docu='update docu0 set docu_status="-" where docu_tabla in ("guia")';
			$res_docu=msql_query($sql_docu,$link_vcrx);
		}
	}
	
	
	
	{
		$rutace='../../_cel/';
		if (!file_exists($rutace)){mkdir($rutace);}
		file_put_contents($rutace.'index.html',"Espere....");

		$rutacetxt='../../_cel/_txt/';
		if (!file_exists($rutacetxt)){mkdir($rutacetxt);}
		file_put_contents($rutacetxt.'index.html',"Espere....");

		$rutabcod='../../_bcod/';
		if (!file_exists($rutabcod)){mkdir($rutabcod);}
		file_put_contents($rutabcod.'index.html',"Espere....");

		$rutadoc='../_doc/';
		if (!file_exists($rutadoc)){mkdir($rutadoc);}
		file_put_contents($rutadoc.'index.html',"Espere....");

		$rutaride='../_ride/';
		if (!file_exists($rutaride)){mkdir($rutaride);}
		file_put_contents($rutaride.'index.html',"Espere....");

		$rutaimgi='../imgi/';
		$rutamrca='../mrca/';
    
		if (!file_exists($rutaimgi)){mkdir($rutaimgi);}
		if (!file_exists($rutamrca)){mkdir($rutamrca);}
    
		file_put_contents($rutaimgi.'index.html',"Espere ....");
		file_put_contents($rutamrca.'index.html',"Espere....");
    
          $subdom=''.$cfg_empr.'/';
          touch($subdom, time()); 
    


// 		$rutapdfi='../pdfi/';
// 		if (!file_exists($rutapdfi)){mkdir($rutapdfi);}
// 		file_put_contents($rutapdfi.'index.html',"Espere....");
	}

	
	
	updt_ipip();
	
	
	echo '<res1>1</res1>';
	
	// 			 $view_sql.='item_puni*(1-item_dcto/100)*(1+item_ice/100)*(1+item_iva/100)+item_irbp as item_pvp0,';

// 	msql_query('update item0 set item_puni=0 where item_puni is null',$link_vcrx);
// 	msql_query('update item0 set item_pvp=0 where item_pvp is null',$link_vcrx);
	
// 	msql_query('update item0 set item_dcto=0 where item_dcto is null',$link_vcrx);
// 	msql_query('update item0 set item_ice=0 where item_ice is null',$link_vcrx);
// 	msql_query('update item0 set item_iva=0 where item_iva is null',$link_vcrx);
// 	msql_query('update item0 set item_irbp=0 where item_irbp is null',$link_vcrx);
	
// 	msql_query('update item0 set item_pvp=item_puni*(1-item_dcto/100)*(1+item_ice/100)*(1+item_iva/100)+item_irbp where item_pvp=0',$link_vcrx);
// 	msql_query('update item0 set item_pvp=item_puni*(1-case item_dcto is null then 0 else item_dcto endcase/100)*(1+case item_ice is null then 0 else item_ice endcase/100)*(1+case item_iva is null then 0 else item_iva endcase /100)+case item_irbp is null then 0 else item_irbp endcase where item_pvp=0',$link_vcrx);
	
}
else
{
	echo '<res1>0</res1>';
}
// msql_free_result($user_res);
// msql_close($link_vcrx);

// echo $_SESSION['user_mobile'];

echo '</resul>';

?>